
package com.google.api.ads.adwords.jaxws.v201209.video;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * 
 *       A service to view performance reports aggregated by video.
 *       Can also be used to make certain modifications to videos
 *       and their metadata, for instance, adding call-to-action overlays.
 *       <span class="constraint Beta">This is a beta feature.</span>
 *     
 * 
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.4-b01
 * Generated source version: 2.2
 * 
 */
@WebService(name = "VideoServiceInterface", targetNamespace = "https://adwords.google.com/api/adwords/video/v201209")
@XmlSeeAlso({
    com.google.api.ads.adwords.jaxws.v201209.cm.ObjectFactory.class,
    com.google.api.ads.adwords.jaxws.v201209.video.ObjectFactory.class
})
public interface VideoServiceInterface {


    /**
     * 
     *         Returns the list of videos that have been used in ads by the current
     *         customer, the match the filters given by the selector.
     *         
     *         @param selector Determines which videos to return.
     *         @return A list of videos.
     *         @throws ApiException if problems occurred while fetching videos.
     *       
     * 
     * @param selector
     * @return
     *     returns com.google.api.ads.adwords.jaxws.v201209.video.VideoPage
     * @throws ApiException
     */
    @WebMethod
    @WebResult(name = "rval", targetNamespace = "https://adwords.google.com/api/adwords/video/v201209")
    @RequestWrapper(localName = "get", targetNamespace = "https://adwords.google.com/api/adwords/video/v201209", className = "com.google.api.ads.adwords.jaxws.v201209.video.VideoServiceInterfaceget")
    @ResponseWrapper(localName = "getResponse", targetNamespace = "https://adwords.google.com/api/adwords/video/v201209", className = "com.google.api.ads.adwords.jaxws.v201209.video.VideoServiceInterfacegetResponse")
    public VideoPage get(
        @WebParam(name = "selector", targetNamespace = "https://adwords.google.com/api/adwords/video/v201209")
        VideoSelector selector)
        throws ApiException
    ;

    /**
     * 
     *         Updates existing call-to-action overlays.
     *       
     * 
     * @param operations
     * @return
     *     returns com.google.api.ads.adwords.jaxws.v201209.video.VideoReturnValue
     * @throws ApiException
     */
    @WebMethod
    @WebResult(name = "rval", targetNamespace = "https://adwords.google.com/api/adwords/video/v201209")
    @RequestWrapper(localName = "mutateCallToAction", targetNamespace = "https://adwords.google.com/api/adwords/video/v201209", className = "com.google.api.ads.adwords.jaxws.v201209.video.VideoServiceInterfacemutateCallToAction")
    @ResponseWrapper(localName = "mutateCallToActionResponse", targetNamespace = "https://adwords.google.com/api/adwords/video/v201209", className = "com.google.api.ads.adwords.jaxws.v201209.video.VideoServiceInterfacemutateCallToActionResponse")
    public VideoReturnValue mutateCallToAction(
        @WebParam(name = "operations", targetNamespace = "https://adwords.google.com/api/adwords/video/v201209")
        List<VideoCallToActionOperation> operations)
        throws ApiException
    ;

    /**
     * 
     *         Searches YouTube for videos that match the given query.
     *         
     *         @param selector Determines which videos to search for.
     *         @return A list of videos.
     *         @throws ApiException if problems occurred while searching for videos.
     *       
     * 
     * @param selector
     * @return
     *     returns com.google.api.ads.adwords.jaxws.v201209.video.VideoSearchPage
     * @throws ApiException
     */
    @WebMethod
    @WebResult(name = "rval", targetNamespace = "https://adwords.google.com/api/adwords/video/v201209")
    @RequestWrapper(localName = "search", targetNamespace = "https://adwords.google.com/api/adwords/video/v201209", className = "com.google.api.ads.adwords.jaxws.v201209.video.VideoServiceInterfacesearch")
    @ResponseWrapper(localName = "searchResponse", targetNamespace = "https://adwords.google.com/api/adwords/video/v201209", className = "com.google.api.ads.adwords.jaxws.v201209.video.VideoServiceInterfacesearchResponse")
    public VideoSearchPage search(
        @WebParam(name = "selector", targetNamespace = "https://adwords.google.com/api/adwords/video/v201209")
        VideoSearchSelector selector)
        throws ApiException
    ;

}
