
package com.google.api.ads.adwords.jaxws.v201302.cm;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * 
 *       Use this service to manage campaigns. A {@linkplain Campaign campaign}
 *       organizes one or more ad groups together and has its own budget, bidding
 *       strategy, serving date range, and targeting settings (managed using
 *       {@link CampaignCriterionService}). You can also set campaign-wide ad
 *       extensions using {@link CampaignAdExtensionService}.
 *     
 * 
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.4-b01
 * Generated source version: 2.2
 * 
 */
@WebService(name = "CampaignServiceInterface", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface CampaignServiceInterface {


    /**
     * 
     *         Returns the list of campaigns that meet the selector criteria.
     *         
     *         @param serviceSelector the selector specifying the {@link Campaign}s to return.
     *         @return A list of campaigns.
     *         @throws ApiException if problems occurred while fetching campaign information.
     *       
     * 
     * @param serviceSelector
     * @return
     *     returns com.google.api.ads.adwords.jaxws.v201302.cm.CampaignPage
     * @throws ApiException_Exception
     */
    @WebMethod
    @WebResult(name = "rval", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302")
    @RequestWrapper(localName = "get", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302", className = "com.google.api.ads.adwords.jaxws.v201302.cm.CampaignServiceInterfaceget")
    @ResponseWrapper(localName = "getResponse", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302", className = "com.google.api.ads.adwords.jaxws.v201302.cm.CampaignServiceInterfacegetResponse")
    public CampaignPage get(
        @WebParam(name = "serviceSelector", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302")
        Selector serviceSelector)
        throws ApiException_Exception
    ;

    /**
     * 
     *         Adds, updates, or deletes campaigns.
     *         <p class="note"><b>Note:</b> {@link CampaignOperation} does not support the
     *         <code>REMOVE</code> operator. To delete a campaign, set its
     *         {@link Campaign#status status} to <code>DELETED</code>.</p>
     *         @param operations A list of unique operations.
     *         The same campaign cannot be specified in more than one operation.
     *         @return The list of updated campaigns, returned in the same order as the
     *         <code>operations</code> array.
     *         @throws ApiException if problems occurred while updating campaign information.
     *       
     * 
     * @param operations
     * @return
     *     returns com.google.api.ads.adwords.jaxws.v201302.cm.CampaignReturnValue
     * @throws ApiException_Exception
     */
    @WebMethod
    @WebResult(name = "rval", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302")
    @RequestWrapper(localName = "mutate", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302", className = "com.google.api.ads.adwords.jaxws.v201302.cm.CampaignServiceInterfacemutate")
    @ResponseWrapper(localName = "mutateResponse", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302", className = "com.google.api.ads.adwords.jaxws.v201302.cm.CampaignServiceInterfacemutateResponse")
    public CampaignReturnValue mutate(
        @WebParam(name = "operations", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302")
        List<CampaignOperation> operations)
        throws ApiException_Exception
    ;

    /**
     * 
     *         Returns the list of campaigns that match the query.
     *         
     *         @param query The SQL-like AWQL query string.
     *         @return A list of campaigns.
     *         @throws ApiException if problems occur while parsing the query or fetching campaign
     *         information.
     *       
     * 
     * @param query
     * @return
     *     returns com.google.api.ads.adwords.jaxws.v201302.cm.CampaignPage
     * @throws ApiException_Exception
     */
    @WebMethod
    @WebResult(name = "rval", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302")
    @RequestWrapper(localName = "query", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302", className = "com.google.api.ads.adwords.jaxws.v201302.cm.CampaignServiceInterfacequery")
    @ResponseWrapper(localName = "queryResponse", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302", className = "com.google.api.ads.adwords.jaxws.v201302.cm.CampaignServiceInterfacequeryResponse")
    public CampaignPage query(
        @WebParam(name = "query", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302")
        String query)
        throws ApiException_Exception
    ;

}
